## org.biojava.bio.dist
Class XMLDistributionWriter

    java.lang.Object
      org.biojava.bio.dist.XMLDistributionWriter

    public class XMLDistributionWriter

extends Object

Writes an OrderNDistribution or simple Distribution to an XML file.

Since:
  1.3
Author:
  Russell Smithies, Mark Schreiber

Constructor Summary
`XMLDistributionWriter()`

Method Summary
`void` `writeDistribution(Distribution d, OutputStream os)` Writes an OrderNDistribution or simple Distribution to an XML file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDistributionWriter

    public XMLDistributionWriter()

Method Detail

### writeDistribution

    public void writeDistribution(Distribution d,
                                  OutputStream os)
                           throws IOException

  Writes an OrderNDistribution or simple Distribution to an XML file.

  Parameters:
    `d` - Distribution to write.
    `os` - OutputStream to write to.
  Throws:
    `IOException` - if an error occurs during writing